<?xml version='1.0' encoding='ISO-8859-1'?> 
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--

module
======

transformation docbook en un html

FILES
=====

./SAXO_DIR/SRC/Documentation/xmldoc/saxo_html.xsl sur aedon.locean-ipsl.upmc.fr

EVOLUTIONS
==========

$Id$

- fplod 20091106T150707Z aedon.locean-ipsl.upmc.fr (Darwin)

 * suppression de titlepage

- fplod 2006-07-11T08:51:41Z aedon.locean-ipsl.upmc.fr (Darwin)

 * modif d'aprs http://www.sagehill.net/docbookxsl/ModifyElemTemplates.html
   pour mettre auteur et email comme le souhaite Gurvan
   et mettre pubdate
-->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"/>

<xsl:output method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="no"
doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:template match="*" mode="book.titlepage.mode"/>

<xsl:template match="author" mode="titlepage.mode">
  <div class="{name(.)}">
    <h3 class="{name(.)}"><xsl:call-template name="person.name"/>
    <xsl:text> </xsl:text>
    <xsl:apply-templates mode="titlepage.mode" select="./email"/>
    </h3>
    <xsl:apply-templates mode="titlepage.mode" select="./contrib"/>
    <xsl:apply-templates mode="titlepage.mode" select="./affiliation"/>
  </div>
</xsl:template>

<xsl:template match="pubdate" mode="titlepage.mode">
  <span class="{name(.)}">
    <xsl:text>svn Id of xml source file : </xsl:text>
    <xsl:apply-templates mode="titlepage.mode"/>
    <br/>
    <br/>
  </span>
</xsl:template>

</xsl:stylesheet>
