;+
; @file_comments 
; Clarify the current palette playing with brightness
;
; @param COEF {in}{required} The rule of attenuation of colors divide by 2 the brightness by default
;
; @param RED 
;
; @param GREEN
;
; @param BLUE
;
; @todo Seb: complter param red/green/blue
;-
PRO palit, coef, red, green, blue
;
  compile_opt idl2, strictarrsubs
;
   IF n_elements(coef) EQ 0 THEN coef = 0.5
   IF n_elements(red) EQ 0 THEN tvlct, red, green, blue, /get
   color_convert, red, green, blue, h, l, s, /rgb_hls
   l = 1.-coef*(1.-l)
;
;  Black must stay really black!
;  Each palette starts by Black and ends by white
;
   l[0] = 0.
   tvlct, h, l, s, /hls
   return
END
